Name:			kstreamripper
Version:		0.7.100
Release:		%mkrel 3
License:		GPLv2+
Group:			Sound/Utilities
Summary:		Recorder for Internet radios
URL:			http://kstreamripper.sourceforge.net/
Source0:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:		desktop-file-utils
BuildRequires:		kdelibs4-devel
BuildRequires:		libproxy-devel >= 0.3.1
BuildRequires:		phonon-backend
BuildRequires:		qt4-devel
Requires:		streamripper		      
#Requires:		libproxy-kde

Provides:		kradioripper = %{version}
Obsoletes:		kradioripper =< 0.7

%description
KStreamRipper (formally KRadioRipper) is a program for recording Internet
radios and other streams which comes with a stream catalog. For streams 
that provide information about the song title, it can split the stream 
and create an own file for each track - with a corresponding file name 
and corresponding metadata. KStreamRipper is based on Streamripper 
and provides a well-arranged user interface for whose features. 
Like Streamripper, it accepts MP3, AAC and OGG streams from 
Shoutcast-servers and Icecast-servers.


%prep
%setup -q -n kstreamripper

%build
%cmake_kde4 -DLIBPROXY_INCLUDE_DIR:PATH=%{_includedir}/libproxy
%make

%install
pushd build
%makeinstall DESTDIR=%{buildroot}
popd

%files
%defattr(-,root,root)
%doc LICENSE NEWS
%{_bindir}/kstreamripper
%{_datadir}/applications/kde4/kstreamripper.desktop
%{_datadir}/apps/kstreamripper/*
%{_datadir}/config.kcfg/*
%{_iconsdir}/hicolor/128x128/apps/kstreamripper.png
%{_iconsdir}/hicolor/16x16/apps/kstreamripper.png
%{_iconsdir}/hicolor/22x22/apps/kstreamripper.png
%{_iconsdir}/hicolor/256x256/apps/kstreamripper.png
%{_iconsdir}/hicolor/32x32/apps/kstreamripper.png
%{_iconsdir}/hicolor/48x48/apps/kstreamripper.png
%{_iconsdir}/hicolor/64x64/apps/kstreamripper.png
%{_iconsdir}/hicolor/8x8/apps/kstreamripper.png
%{_iconsdir}/hicolor/scalable/apps/kstreamripper.svgz
%{_datadir}/locale/*/LC_MESSAGES/kstreamripper.mo



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.7.100-3.mga4
+ Revision: 506796
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.7.100-2.mga3
+ Revision: 356519
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 solbu <solbu> 0.7.100-1.mga3
+ Revision: 308651
- Importing mandrivauser.de package
- New version


* Tue Sep 07 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.74-1mud2010.1
- new version

* Wed Sep 01 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.19-1mud2010.1
- new version

* Tue Aug 31 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.16-1mud2010.1
- new version

* Sat Jul 17 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.1-1mud2010.1
- initial package for Mandrivalinux 2010.1
